For the complete documentation index, see llms.txt. This page is also available as Markdown.

Message Broker Queues

Create Message Broker Queue Flow

post

Assigns a flow to a specific message broker queue.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_broker_queuestringRequired

The message broker queue identifier.

Body
flow_idintegerRequired
Responses
200

Successful response

application/json
post/api/v1/message-broker-queues/{message_broker_queue}/flows
POST /api/v1/message-broker-queues/{message_broker_queue}/flows HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "flow_id": 1
}
{
  "data": {
    "id": 1,
    "name": "My Example",
    "enabled_at": "2025-01-15T10:30:00.000000Z",
    "status": "Draft",
    "format": "csv",
    "body": "example_body",
    "deployed_at": "2025-01-15T10:30:00.000000Z",
    "labels": "example_labels",
    "notification_groups": "example_notification_groups",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "description": "A description of the resource",
    "layout_direction": "example_layout_direction",
    "is_enabled": {},
    "latest_version": {},
    "current_version": {},
    "deployed_version": {},
    "latest_deployed_version": [],
    "versions": [],
    "version_type_counts": [],
    "message_brokers": [],
    "message_broker_queues": [],
    "notification_group_ids": [],
    "webhooks": "example_webhooks",
    "callbacks": "example_callbacks",
    "current_version_step_count": 5,
    "current_version_connector_count": 5,
    "current_version_script_count": 5,
    "current_version_cache_count": 5,
    "current_version_data_pool_count": 5,
    "current_version_cross_ref_count": 5,
    "use_queued_time": "example_use_queued_time",
    "remove_failed_payloads": [],
    "priority": 1,
    "prod_flag": [],
    "deployments": [],
    "webhooks_count": 5,
    "callbacks_count": 5,
    "marketplace_app_id": 1,
    "blueprint_id": 1,
    "blueprint_version_number": "example_blueprint_version_number"
  }
}

Delete Message Broker Queue Flow

delete

Removes a flow from a specific message broker queue.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_broker_queuestringRequired

The message broker queue identifier.

flowstringRequired

The flow identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/message-broker-queues/{message_broker_queue}/flows/{flow}
DELETE /api/v1/message-broker-queues/{message_broker_queue}/flows/{flow} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

List Message Brokers

get

Retrieves a paginated list of queues for a specific message broker.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_brokerstringRequired

The message broker identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[message_broker_id]stringOptional

Filter results by message_broker_id.

includestringOptional

Comma-separated list of relationships to include. Available: flows, messageBroker

sortstringOptional

Sort field. Prefix with - for descending. Available: name, message_broker_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/message-brokers/{message_broker}/message-broker-queues
GET /api/v1/message-brokers/{message_broker}/message-broker-queues HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "flow_id": 1,
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/message-brokers/{message_broker}/message-broker-queues",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/message-brokers/{message_broker}/message-broker-queues?page=1",
    "last": "https://api.example.com/api/v1/message-brokers/{message_broker}/message-broker-queues?page=1",
    "prev": null,
    "next": null
  }
}

Create Message Broker

post

Creates a new queue for a specific message broker.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_brokerstringRequired

The message broker identifier.

Responses
200

Successful response

application/json
post/api/v1/message-brokers/{message_broker}/message-broker-queues
POST /api/v1/message-brokers/{message_broker}/message-broker-queues HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 1,
    "flow_id": 1,
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Get Message Broker

get

Retrieves the details of a specific message broker queue.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_brokerstringRequired

The message broker identifier.

message_broker_queuestringRequired

The message broker queue identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[message_broker_id]stringOptional

Filter results by message_broker_id.

includestringOptional

Comma-separated list of relationships to include. Available: flows, messageBroker

sortstringOptional

Sort field. Prefix with - for descending. Available: name, message_broker_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/message-brokers/{message_broker}/message-broker-queues/{message_broker_queue}
GET /api/v1/message-brokers/{message_broker}/message-broker-queues/{message_broker_queue} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 1,
    "flow_id": 1,
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Update Message Broker

put

Updates an existing message broker queue.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_brokerstringRequired

The message broker identifier.

message_broker_queuestringRequired

The message broker queue identifier.

Responses
200

Successful response

application/json
put/api/v1/message-brokers/{message_broker}/message-broker-queues/{message_broker_queue}
PUT /api/v1/message-brokers/{message_broker}/message-broker-queues/{message_broker_queue} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 1,
    "flow_id": 1,
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Delete Message Broker

delete

Permanently deletes a specific message broker queue.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
message_brokerstringRequired

The message broker identifier.

message_broker_queuestringRequired

The message broker queue identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/message-brokers/{message_broker}/message-broker-queues/{message_broker_queue}
DELETE /api/v1/message-brokers/{message_broker}/message-broker-queues/{message_broker_queue} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

List Flow Message Broker Queues

get

Description

List all message broker queues for a particular flow.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowintegerRequired

The unique identifier of the flow.

Query parameters
filter[message_broker_id]stringOptional

Filter results by message_broker_id.

includestringOptional

Comma-separated list of relationships to include. Available: flows, messageBroker

sortstringOptional

Sort field. Prefix with - for descending. Available: name, message_broker_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

OK

No content

get/api/v1/flows/{flow}/message-broker-queues
GET /api/v1/flows/{flow}/message-broker-queues HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
200

OK

No content

Last updated

Was this helpful?